* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

body {
  font-family: "Verdana";
  background-color: #f4f4f4;
  background-image: url(ambient_homepage.png);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: right bottom;
}

.header {
  position: fixed;
  top: 0;
  height: 45px;
  width: 100vw;
  background: linear-gradient(90deg, #1e32ff 0%, #000 100%);

  .saio-toolbar {
    min-height: 45px;
    align-items: center;
    flex-wrap: nowrap;
    display: flex;
    position: relative;
    width: 100%;
    padding: 0 12px;

    .logo-saio-container {
      width: auto;
      padding: 15px 15px 15px 10px;
      height: 45px;
      text-align: center;
      position: relative;
      display: inline-block;

      .header-logo {
        width: 65px;
        height: 15px;
      }
    }

    .navbar-space {
      flex-grow: 1 !important;
    }
  }
}

section {
  height: 100vh;
  display: grid;
  place-items: center;
  font-size: 50px;
  font-weight: bold;
  background: #eee;
}

.container {
  font-weight: 300;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.tiles-container {
  display: flex;
  margin: 20px;
}

.tile-container {
  width: 36vw;
  height: 36vh;
  border: 1px solid rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  background-color: white;
  color: #707070;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: transform 0.3s ease, box-shadow 0.3s ease, color 0.3s ease;
  position: relative;
  overflow: hidden;
  margin: 10px;
  font-size: 32px;
}

.inactive-feature {
  .tile-description,
  .tile-title-text,
  .tile-title-icon {
    color: #707070 !important;
  }
}

.muted-text-container {
  font-size: small;
  position: absolute;
  top: 0px;
  padding: 5px;
  i {
    padding-right: 5px;
  }
}

.tile-container:hover {
  transform: translateY(-10px);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  border: 1px solid #1e3ef569;
  color: #1e40f5;
}
.redirection-text {
  margin-top: 20px;
  font-size: 16px;
  letter-spacing: 2px;
  color: #707070;
  text-align: center;
  text-decoration: none;
}

.homepage-logo {
  position: absolute;
  bottom: 45px;
  right: 45px;
  height: 50px;
  z-index: -1;
}

.tile {
  width: 100%;
  height: 100%;
  background: transparent;
  display: flex;
  flex-direction: column;
}
.tile-title-container {
  padding: 20px;
  display: flex;
}
.tile-title-text {
  margin: auto auto auto 30px;
  font: 32px / 40px Verdana;
  letter-spacing: 0px;
  color: #000;
}
.tile-description-container {
  padding: 20px;
}
.tile-description {
  font: 12px / 15px Verdana;
  color: #000;
  margin: 0 0 16px;
  text-align: start;
}
.tile-separator {
  margin-left: 16px;
  margin-right: 16px;
  border: 0;
  background: rgba(0, 0, 0, 0.12);
  flex-shrink: 0;
  display: block;
  height: 1px;
}
.tile-title-icon {
  margin: auto 0;
  color: #1e40f5;
}

@media only screen and (max-width: 1020) {
  .tiles-container {
    flex-direction: column;
    margin: 0px;
  }
  .tile-container {
    width: 90vw;
    height: 16vh;
  }
  .hide-on-low-screen {
    display: none;
  }
  .tile {
    align-items: center;
  }

  .tile {
    flex-direction: row;
  }
  .tile-title-container {
    min-width: 40%;
  }
}

@media only screen and (max-width: 1000px) {
  .tiles-container {
    flex-direction: column;
    margin: 0px;
  }
  .tile-container {
    width: 90vw;
    height: 16vh;
  }
  .hide-on-narrow-screen {
    display: none;
  }
  .tile {
    justify-content: center;
  }
}

@media only screen and (max-height: 810px) and (max-width: 1020px) {
  .tiles-container {
    flex-direction: column;
    margin: 0px;
  }
  .tile-container {
    width: 90vw;
    height: 16vh;
  }
  .tile {
    flex-direction: row;
  }
  .tile-title-container {
    min-width: 40%;
  }
  .hide-on-low-screen {
    display: none;
  }
}

@media only screen and (max-height: 650px) {
  .tiles-container {
    flex-direction: column;
    margin: 0px;
  }
  .tile-container {
    width: 90vw;
    height: 16vh;
  }
  .tile {
    flex-direction: row;
  }
  .tile-title-container {
    min-width: 40%;
  }
  .hide-on-low-screen {
    display: none;
  }
}

@media only screen and (max-height: 630px) and (max-width: 1000px) {
  .hide-on-very-low-screen {
    display: none;
  }
}

@media only screen and (max-height: 550px) {
  .tile-title-icon {
    display: none !important;
  }
}
